Skip to main content
GET
/
dev
/
v1
/
invoices
/
{uniqid}
Get invoice
curl --request GET \
  --url https://api.shoppex.io/dev/v1/invoices/{uniqid} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "inv_2",
    "uniqid": "22222222-2222-4222-8222-222222222222",
    "type": "PRODUCT",
    "subtype": null,
    "origin": "API",
    "shop_id": "shop_1",
    "customer_id": "cus_2",
    "affiliate_link_id": "link_2",
    "affiliate_customer_id": "cus_aff_2",
    "affiliate_code": "partner999",
    "affiliate_discount_amount": 1.25,
    "currency": "USD",
    "total": 19.99,
    "total_display": 19.99,
    "subtotal": 21.24,
    "discount": 1.25,
    "discount_display": 1.25,
    "balance_paid_amount": 0,
    "customer_email": "solo@example.com",
    "custom_fields": null,
    "is_developer_invoice": false,
    "developer_title": null,
    "status": "PENDING",
    "status_details": "Awaiting payment",
    "payment_status": "PENDING",
    "gateway": "PAYPAL",
    "flow_type": "PROVIDER_SESSION",
    "provider_reference": "order_123",
    "provider_reference_type": "ORDER",
    "product": {
      "uniqid": "prod_uniqid_2",
      "title": "Pro Pack"
    },
    "items": [
      {
        "product_id": "prod_2",
        "product_title": "Pro Pack",
        "product_type": "DIGITAL",
        "variant_title": "Silver",
        "quantity": 1,
        "unit_price": 19.99,
        "total": 19.99,
        "delivered_items": {
          "service_text": "Join the private channel",
          "dynamic_response": {
            "token": "dynamic_123"
          }
        }
      },
      {
        "product_id": "prod_3",
        "product_title": "Bonus Pack",
        "product_type": "SERVICE",
        "variant_title": null,
        "quantity": 2,
        "unit_price": 5,
        "total": 10,
        "delivered_items": null
      }
    ],
    "created_at": 1711957200,
    "updated_at": 1711957800
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

uniqid
string
required

Response

200 - application/json

Successful response

data
object